%define majver %(echo %version | cut -d. -f1-2)
Name:          libnotify
Version:       0.8.0
Release:       1mamba
Summary:       Desktop notifications library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.gnome.org/
Source:        https://download.gnome.org/sources/libnotify/%{majver}/libnotify-%{version}.tar.xz
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglib-devel
## AUTOBUILDREQ-END
BuildRequires: pkgconfig
BuildRequires: libpopt-devel
Provides:      libnotify07
Obsoletes:     libnotify07
Requires:      %{name}-tools = %{?epoch:%epoch:}%{version}-%{release}

%description
A library that sends desktop notifications to a notification daemon, as defined in the Desktop Notifications spec.
These notifications can be used to inform the user about an event or display some form of information without getting in the user's way.

%package devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Provides:      libnotify07-devel
Obsoletes:     libnotify07-devel

%description devel
A library that sends desktop notifications to a notification daemon, as defined in the Desktop Notifications spec.
These notifications can be used to inform the user about an event or display some form of information without getting in the user's way.

This package contains static libraries and header files need for development.

%package tools
Group:         System/Tools
Summary:       Tools for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description tools
A library that sends desktop notifications to a notification daemon, as defined in the Desktop Notifications spec.
These notifications can be used to inform the user about an event or display some form of information without getting in the user's way.

This package contains static the tools provides by %{name}.

%package apidocs
Summary:       Libnotify API documentation
Group:         Documentation
Requires:      gtk-doc
Provides:      libnotify07-apidocs
Obsoletes:     libnotify07-apidocs

%description apidocs
Libnotify API documentation.

%debug_package

%prep
%setup -q

%build
%meson

%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%meson_install

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libnotify.so.*
%{_libdir}/girepository-1.0/Notify-*.typelib
%doc AUTHORS COPYING

%files devel
%defattr(-,root,root)
%dir %{_includedir}/libnotify
%{_includedir}/libnotify/*
%{_libdir}/libnotify.so
%{_libdir}/pkgconfig/libnotify.pc
%{_datadir}/gir-1.0/Notify-*.gir
%{_datadir}/doc/libnotify/spec/notification-spec.html
%doc NEWS

%files tools
%defattr(-,root,root)
%{_bindir}/notify-send
%{_mandir}/man1/notify-send.1*

%files apidocs
%defattr(-,root,root)
%{_datadir}/gtk-doc/html/%{name}/

%changelog
* Fri Jul 15 2022 Automatic Build System <autodist@mambasoft.it> 0.8.0-1mamba
- automatic version update by autodist

* Tue Jun 07 2022 Automatic Build System <autodist@mambasoft.it> 0.7.12-1mamba
- automatic version update by autodist

* Fri Feb 28 2020 Automatic Build System <autodist@mambasoft.it> 0.7.9-1mamba
- automatic version update by autodist

* Fri Apr 26 2019 Automatic Build System <autodist@mambasoft.it> 0.7.8-1mamba
- automatic version update by autodist

* Fri Oct 14 2016 Automatic Build System <autodist@mambasoft.it> 0.7.7-1mamba
- automatic version update by autodist

* Sun Sep 08 2013 Automatic Build System <autodist@mambasoft.it> 0.7.6-1mamba
- automatic update by autodist

* Tue Aug 06 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 0.7.5-2mamba
- Notify-07.typelib: moved from devel to main package (fixes scp-dbus-service)

* Sun Apr 01 2012 Automatic Build System <autodist@mambasoft.it> 0.7.5-1mamba
- update to 0.7.5

* Sun Jun 19 2011 Automatic Build System <autodist@mambasoft.it> 0.7.3-1mamba
- automatic update by autodist

* Mon Apr 11 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.7.2-1mamba
- update to 0.7.2

* Thu Oct 28 2010 Automatic Build System <autodist@mambasoft.it> 0.4.5-3mamba
- automatic rebuild by autodist

* Wed May 20 2009 Automatic Build System <autodist@mambasoft.it> 0.4.5-2mamba
- automatic rebuild by autodist

* Sat Nov 22 2008 gil <puntogil@libero.it> 0.4.5-1mamba
- update to 0.4.5

* Tue Jul 15 2008 gil <puntogil@libero.it> 0.4.4-1mamba
- update to 0.4.4

* Sun Jan 14 2007 Davide Madrisan <davide.madrisan@qilinux.it> 0.4.3-1qilnx
- update to version 0.4.3 by autospec
- new subpackage apidocs with API documentation

* Thu Nov 02 2006 Tiziano Pratellesi <info@mycare.it> 0.4.2-1qilnx
- package created by autospec
